Hi Fedro and Cilici...
I have modified the above code with PtrSafe but still have lots of errors as per pictures below. I have tried to figure out but no success yet. Please help
*** My code in Visual Studio 2017 Community
*** Error list
Your help is much appreciated and have a great day.
Hi cilici,
I pasted your code in VBA 6.5 and Visual Studio 2017 and lots of text lines become red as seen on picture below.
DO you have any idea?
I am using Windows 10 and VBA 6.5.
Thanks
Yes...I am really sure CATIA app is active when press ESCAPE. I can only either press Yes or No on the little window as seen above in order to Cancel or say yes to continue
Hello All,
I have tried to use command "Recognize" in a VBA scrip (as seen below) to recognize a sheet metal CATPart for unfolding and I get an error message as per below picture.
CATIA.StartCommand "Recognize"
'// Press ALT and N letter to say No to cancel command "Recognize"
SendKeys "{N 1}"...
HI itsmyjob...
I now get to the text string display on the monitor as per your code above: myTextasString = CATIA.ActiveDocument.Selection.Item(1).Value.Text.Text
But how can I search/obtain above text stream for word "PLATE" or any other word (as strings) in the text stream accessed above...
Hello All,
I am able to select "ENG" property in 1st picture below as per my short macro below. However, I do not know how to search and get the text (i.e. PLATE) in the definition of "ENG" as seen in second picture below.
Please help me out.
Picture 1:
DEFINITION OF "ENG" property...
Hello All,
I got a code taking captures from CATIA using CaptureToFile function (inside "Viewer object").
As you know that the physical monitor is made to "landscape" orientation (longer horizontally than the height) by common design, and the CATIA screen itself is also displayed in landscape...
Hi Ferdo.... I am not sure how to start and make an user form since I have never done it before. Could it be made in VB Editor? IF so, how do I start?
Thanks
what do you mean by " short-cut"?
After running the macro, it stops at "MsgBox oCamera3D.Name", then I have to manually press Enter key on the keyboard in order to have the loop to continue. SendKeys {"ENTER"} does work on 2nd camera display and after.
Any idea?
Below it is what I got to this point, creating a 3D point on screen and it could be used for text anchor and text writing later.
--------------------------
'//// Add geometrical Points set and a 3D point to active document
'//// ================================================
Sub ADDPOINT()...
Hi All...I created a simple VBA code to demonstrate the SendKeys command. However, when the very first camera name appears, the SendKeys {"ENTER"} command does not work. I have to manually press Enter key on the keyboard in order to have the loop to continue. SendKeys {"ENTER"} does work on...
Hi All.....so below is the image to illustrate the point that I want to make a VBA macro pick a point on the screen and insert a text string parallel to the screen in a CATPart document.
Is there way to make a VBA macro to achieve this?
Thanks for your help
Hi All,
How can I create a new point on screen in an active CATPart with a VBA macro? I got to a point as seen below and am stuck.
'================================
Sub AddPoint(Comment As String, part1 As Part)
'//// Get annotation set
Dim annoSet1 As AnnotationSet
Set annoSet1 =...